## org.apache.xerces.xs
Interface XSImplementation

public interface XSImplementation

This interface allows one to retrieve an instance of `XSLoader`. This interface should be implemented on the same object that implements DOMImplementation.

Method Summary
`XSLoader` `createXSLoader(StringList versions)` Creates a new XSLoader.
`StringList` `getRecognizedVersions()` A list containing the versions of XML Schema documents recognized by this `XSImplemenation`.

Method Detail

### getRecognizedVersions

    public StringList getRecognizedVersions()

  A list containing the versions of XML Schema documents recognized by this `XSImplemenation`.

### createXSLoader

    public XSLoader createXSLoader(StringList versions)
                            throws XSException

  Creates a new XSLoader. The newly constructed loader may then be configured and used to load XML Schemas.
  Parameters:
    `versions` - A list containing the versions of XML Schema documents which can be loaded by the `XSLoader` or `null` to permit XML Schema documents of any recognized version to be loaded by the XSLoader.
  Returns:
    An XML Schema loader.
  Throws:
    `XSException` - NOT_SUPPORTED_ERR: Raised if the implementation does not support one of the specified versions.

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.